=== debian/control ===
Source: fetchmail
Section: mail
Priority: optional
Maintainer: Paul Haggart <phaggart@debian.org>
Standards-Version: 2.4.0.0

Package: fetchmail
Architecture: any
Depends: ${shlibs:Depends}
Suggests: python-tk, python-net
Conflicts: popclient
Replaces: popclient
Provides: popclient
Description: POP2/3, APOP, IMAP mail gatherer/forwarder
 fetchmail is a free, full-featured, robust, and well-documented remote mail
 retrieval and forwarding utility intended to be used over on-demand TCP/IP
 links (such as SLIP or PPP connections).  It retrieves mail from remote mail
 servers and forwards it to your local (client) machine's delivery system, so
 it can then be be read by normal mail user agents such as mutt, elm, pine,
 (x)emacs/gnus, or mailx.  Comes with an interactive GUI configurator suitable
 for end-users.
